<?php

use think\facade\Route;
Route::rule('menu', 'admin/Menu/MenuList');
Route::rule('menuadd', 'admin/Menu/MenuAdd');
Route::rule('menusave', 'admin/Menu/MenuEdit');
Route::rule("menuactionlist","admin/Action/index");
Route::rule("actionadd","admin/Action/ActionAdd");
Route::rule("actiondel","admin/Action/ActionDel");
Route::rule("actionlist","admin/Action/ActionList");
Route::rule("menudel","admin/Menu/MenuDel");
Route::rule("menuactiondel","admin/Menu/ActionDel");

Route::rule('menustatus', 'admin/Menu/MenuStatus');
Route::rule('menuaction', 'admin/Menu/ActionList');
Route::rule('menuactionsave', 'admin/Menu/ActionSave');
Route::rule('menuactionstatus', 'admin/Menu/ActionStatus');
Route::rule('menuactionadd', 'admin/Menu/ActionAdd');
Route::rule("menulist","admin/Menu/MenuAllList");


Route::rule('userlist', 'admin/User/userList');
Route::rule('userall', 'admin/User/userAll');
Route::rule('userinfo', 'admin/User/userInfo');
Route::rule('usersave', 'admin/User/userSave');
Route::rule('setrole', 'admin/User/setRole');
Route::rule('setpwd', 'admin/User/setPwd');
Route::rule('setstatus', 'admin/User/setStatus');

Route::rule('rolelist', 'admin/Role/roleList');
Route::rule('roleall', 'admin/Role/roleAll');
Route::rule('roleinfo', 'admin/Role/roleInfo');
Route::rule('roleadd', 'admin/Role/roleAdd');
Route::rule('rolesave', 'admin/Role/roleSave');
Route::rule('rolestatus', 'admin/Role/roleStatus');

Route::rule('grouplist', 'admin/Group/GroupList');
Route::rule('groupall', 'admin/Group/GroupAll');
Route::rule('groupinfo', 'admin/Group/GroupInfo');
Route::rule('groupadd', 'admin/Group/GroupAdd');
Route::rule('groupsave', 'admin/Group/GroupSave');
Route::rule('groupstatus', 'admin/Group/GroupStatus');

Route::rule("supplierlist","admin/Supplier/SupplierList");
//Route::rule("supplierinfo","admin/Supplier/SupplierInfo");
//Route::rule("suppliersave","admin/Supplier/SupplierSave");
//Route::rule("supplierstatus","admin/Supplier/SupplierStatus");

Route::rule("customerlist","admin/Customer/list");
Route::rule("customerinfo","admin/Customer/read");
Route::rule("customer","admin/Customer/info");
Route::rule("invoicelist","admin/Customer/invoice");
Route::rule("involist","admin/Customer/invoicelist");
Route::rule("invoiceadd","admin/Customer/invoiceAdd");
Route::rule("invoicesave","admin/Customer/invoiceSave");
Route::rule("invoicedel","admin/Customer/invoiceDel");

Route::rule("shareadd","admin/Share/create");
Route::rule("sharesave","admin/Share/save");
Route::rule("sharestatus","admin/Share/status");
Route::rule("sharedel","admin/Share/delete");
Route::rule("shareinfo","admin/Share/read");

Route::rule("companyinfo","admin/Company/Info");
Route::rule("companyadd","admin/Company/create");
Route::rule("companysave","admin/Company/save");
Route::rule("companystatus","admin/Company/status");
Route::rule("companylist","admin/Company/list");
Route::rule("companyall","admin/Company/all");
Route::rule("ratelist","admin/Company/RateList");

Route::rule("paylist","admin/Payment/payList");
Route::rule("paymentlist","admin/Payment/paymentList");
Route::rule("payadd","admin/Payment/PayAdd");
Route::rule("paysave","admin/Payment/PaySave");
Route::rule("paystatus","admin/Payment/PayStatus");
Route::rule("paydel","admin/Payment/payDel");
Route::rule("stageadd","admin/Payment/stageAdd");
Route::rule("stagestatus","admin/Payment/stageStatus");
Route::rule("stagedel","admin/Payment/stageDel");
Route::rule("cgdlist","admin/Payment/CgdList");
Route::rule("invadd","admin/Payment/invAdd");
Route::rule("invstatus","admin/Payment/invStatus");
Route::rule("invlist","admin/Payment/InvList");
Route::rule("invdel","admin/Payment/invDel");
Route::rule("cgdticket","admin/Payment/ticketInfo");

Route::rule("orderinvadd","admin/OrderInv/create");
Route::rule("orderinvstatus","admin/OrderInv/status");
Route::rule("orderinvinfo","admin/OrderInv/info");
Route::rule("invsetpost","admin/OrderInv/SetPost");
Route::rule("invreturnadd","admin/OrderInv/ReturnAdd");
Route::rule("invreturnstatus","admin/OrderInv/ReturnStatus");
Route::rule("invreturnred","admin/OrderInv/returnRed");
Route::rule("orderinvlist","admin/OrderInv/list");
Route::rule("invreturnlist","admin/OrderInv/returnList");
Route::rule("discard","admin/OrderInv/Discard");
Route::rule("applyred","admin/OrderInv/applyRed");
Route::rule("batchapplyred","admin/OrderInv/batchApplyRed");
Route::rule("redopen","admin/OrderInv/redOpen");
Route::rule("redlist","admin/OrderInv/redList");
Route::rule("orderticket","admin/OrderInv/ticketInfo");
Route::rule("returnredlist","admin/OrderInv/returnRedList");

Route::rule("orderpayadd","admin/OrderPay/create");
Route::rule("orderpaystatus","admin/OrderPay/status");
Route::rule("orderpaylist","admin/OrderPay/list");
Route::rule("tradeList","admin/OrderPay/tradeList");
Route::rule("tradeQuery","admin/OrderPay/tradeQuery");
Route::rule("orderpayreturn","admin/OrderPay/ReturnPay");
Route::rule("orderreturnlist","admin/OrderPay/returnList");
Route::rule("orderreturnstatus","admin/OrderPay/returnStatus");
Route::rule("importTrade","admin/OrderPay/importTradeByArr");

Route::rule("index","admin/index/index");
Route::rule("report","admin/Report/index");
Route::rule("reportinfo","admin/Report/info");

Route::rule("orderlist","admin/Sale/list");
Route::rule("orderchage","admin/Sale/status");

Route::rule("uploadimg","admin/Upload/UploadImg");

Route::rule("cgdinfo","admin/Payment/cgdinfo");
Route::rule("payinfo","admin/Payment/PayInfo");
Route::rule("dzinfo","admin/Payment/DzInfo");
Route::rule("hpinfo","admin/Payment/HpInfo");
Route::rule("saleinfo","admin/Sale/saleinfo");


Route::rule("returninvinfo","admin/OrderInv/returnInfo");
Route::rule("tradeloginfo","admin/OrderPay/logInfo");
Route::rule("tradeinfo","admin/OrderPay/tradeInfo");
Route::rule("returnpayinfo","admin/OrderPay/returnInfo");

Route::rule("tagadd","admin/TagGood/create");
Route::rule("taglist","admin/TagGood/list");
Route::rule("tagquery","admin/TagGood/query");
Route::rule("tagstatus","admin/TagGood/status");
Route::rule("tagdel","admin/TagGood/delete");
Route::rule("tagedit","admin/TagGood/save");
Route::rule("addtag","admin/TagGood/AddTag");

Route::rule("goodlist","admin/InvCat/GoodList");
Route::rule("catlist","admin/InvCat/catlist");
Route::rule("catquery","admin/InvCat/query");
Route::rule("addgood","admin/InvCat/AddGood");
Route::rule("goodinfo","admin/InvCat/goodinfo");







